---
deprecated: true
search:
  tags:
    - Images
    - PATCH
seo:
  description: >-
    Updates image metadata including title, alt text,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/images/{image_id} endpoint in the Management
    API.
sidebar:
  label: Update image
  badge: PATCH
title: Update image
type: openapi-operation
---
Updates image metadata including title, alt text, copyright, status, custom fields, filename, parent image, and visibility
Deprecated: use PATCH /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/images instead.

`PATCH /api/v1/{team_slug}/{app_slug}/images/{image_id}`

**Deprecated.**

**Request body** (`application/x-www-form-urlencoded`, required)

Image data

- `alt` (string)
- `copyright` (string)
- `custom` (object)
- `filename` (string)
- `parent_id` (string)
- `public` (boolean)
- `status` (string)
- `title` (string)

Request body example:

```json
{
  "alt": "string",
  "copyright": "string",
  "custom": {
    "property1": "string",
    "property2": "string"
  },
  "filename": "string",
  "parent_id": "string",
  "public": true,
  "status": "active",
  "title": "string"
}
```

**Responses**

- `200` — Image updated successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "alt": "string",
    "app_id": "string",
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "blurhash": "string",
    "copyright": "string",
    "custom": {
      "property1": "string",
      "property2": "string"
    },
    "folder_id": "string",
    "id": "string",
    "parent_id": "string",
    "public": true,
    "status": "string",
    "title": "string",
    "translations": {
      "alt": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "copyright": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "url": "string",
    "used_by": [
      {
        "created_at": "string",
        "id": "string",
        "name": "string",
        "priority": 0,
        "slug": "string",
        "type": "product",
        "updated_at": "string"
      }
    ],
    "variants": [
      {
        "alt": "string",
        "app_id": "string",
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "blurhash": "string",
        "copyright": "string",
        "custom": {
          "property1": "string",
          "property2": "string"
        },
        "folder_id": "string",
        "id": "string",
        "parent_id": "string",
        "public": true,
        "status": "string",
        "title": "string",
        "translations": {
          "alt": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "copyright": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "title": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "url": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
